How to select last entity selected?
-
Hi,
When I select multiple entities how can I use the last selected to use on code or maybe the first one.
These are not doing it for me;
@@sel = Sketchup.active_model.selection[0] ;
or
@@sel = Sketchup.active_model.selection.first ;Thanks and if I reply to myself again don't think I am crazy! XD
-
Not sure if the model.selection collection relates in any way to the order entities where selected.
You might want to use a SelectionObserver...
-
Btw, model.selection.first won't work - you'd have to convert it to an array first: model.selection.to_a.first
-
@thomthom said:
Btw,
model.selection.first
won't work - you'd have to convert it to an array first:model.selection.to_a.first
Gotcha Thom...
The API defines a
first()
instance method forSketchup::Selection
so:
Sketchup.active_model.selection.respond_to?(:first) %(#008000)[> true]
-
Ah! Oh the joy of API inconsistency! I actually tested selection.last - and just assumed...
-
I have tried but seems I can't get it to work or understand correctly. Is there a sample code that can better illustrate this.
Thanks!
Advertisement